Overview | Modules | Class Hierarchy | Classes | Members

# tlp::BooleanProperty Class Reference
[Properties]

`#include <BooleanProperty.h>`

Inherits tlp::AbstractProperty< BooleanType, BooleanType, BooleanAlgorithm >.

Inheritance diagram for tlp::BooleanProperty:

[legend]
Collaboration diagram for tlp::BooleanProperty:

[legend]
List of all members.

## Public Member Functions

- BooleanProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- void reverse ()
- void reverseEdgeDirection ()
    reverse all the direction of edges of the visible graph which are true in this BooleanProperty
- Iterator< node > * getNodesEqualTo (const bool val, Graph *=0)
- Iterator< edge > * getEdgesEqualTo (const bool val, Graph *=0)

## Friends

- class BooleanAlgorithm

## Friends And Related Function Documentation

friend class BooleanAlgorithm `[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010